Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP GET

GET knowledge_base/articles/:articleId

Ostatnia modyfikacja 2026-05-18 13:56:05
Zwraca szczegóły artykułu bazy wiedzy.

URL

https://your-system-name.thulium.com/api/knowledge_base/articles/:articleId

Parametry

articleId

wymagany

Identyfikator artykułu. Przykładowa wartość: fa97e6fa-f458-4ea5-be5d-da72ed9b5197

Przykładowy request

GET https://your-system-name.thulium.com/api/knowledge_base/articles/fa97e6fa-f458-4ea5-be5d-da72ed9b5197

Przykładowy response

{
  "id": "fa97e6fa-f458-4ea5-be5d-da72ed9b5197",
  "title": "How to reset password",
  "content": "

Step by step guide...

", "category_id": "742b4a0f-cec1-46ca-8175-cb7ca9746368", "category_name": "Account", "catalog_id": "6a6a245b-a30c-49a5-bee6-96aa760280ba", "feedback": { "positive": 10, "negative": 1 }, "user_login": "akowalski", "created_at": "2024-10-31T12:59:55Z", "updated_at": "2024-11-15T09:51:27Z" }

Przykładowe wywołanie


PHP
<?php
$request = curl_init('https://your-system-name.thulium.com/api/knowledge_base/articles/fa97e6fa-f458-4ea5-be5d-da72ed9b5197');
curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8'));
curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass");
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/knowledge_base/articles/fa97e6fa-f458-4ea5-be5d-da72ed9b5197");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/knowledge_base/articles/fa97e6fa-f458-4ea5-be5d-da72ed9b5197"

HTTPie
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/knowledge_base/articles/fa97e6fa-f458-4ea5-be5d-da72ed9b5197 Accept:application/json